Package com.orbbec.obsensor.datatype

## Class D2CTransform

- java.lang.Object
- - com.orbbec.obsensor.DataType
  - - com.orbbec.obsensor.datatype.D2CTransform

    public class D2CTransform
    extends DataType

Rotation/Transformation Matrix

### Constructor Summary

Constructors
`D2CTransform()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `BYTES()` Get the number of bytes occupied by the Native structure
`float[]` `getRot()` Get rotation matrix, row-major
`float[]` `getTrans()` get transformation matrix
`protected boolean` `parseBytesImpl​(byte[] bytes)` Specific class implementation parsing, pay attention to the internal order and length of the structure
`java.lang.String` `toString()`
`protected boolean` `wrapBytesImpl​(byte[] bytes)` Specific class attribute encapsulation, pay attention to the internal order and length of the structure

### Methods inherited from class com.orbbec.obsensor.DataType

`checkInitialized, getBytes, parseBytes, throwInitializeException, wrapBytes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### D2CTransform

    public D2CTransform()

### Method Detail

#### getRot

    public float[] getRot()

Get rotation matrix, row-major

Returns:
  rotation matrix

#### getTrans

    public float[] getTrans()

get transformation matrix

Returns:
  transformation matrix

#### BYTES

    public int BYTES()

Description copied from class: `DataType`
Get the number of bytes occupied by the Native structure

Specified by:
  `BYTES` in class `DataType`
Returns:
  The number of bytes occupied by the Native structure

#### parseBytesImpl

    protected boolean parseBytesImpl​(byte[] bytes)

Description copied from class: `DataType`
Specific class implementation parsing, pay attention to the internal order and length of the structure

Specified by:
  `parseBytesImpl` in class `DataType`
Parameters:
  `bytes` - byte array to be parsed
Returns:
  Parsing result, false: parsing failed, true: parsing succeeded

#### wrapBytesImpl

    protected boolean wrapBytesImpl​(byte[] bytes)

Description copied from class: `DataType`
Specific class attribute encapsulation, pay attention to the internal order and length of the structure

Specified by:
  `wrapBytesImpl` in class `DataType`
Parameters:
  `bytes` - The generated byte array to be encapsulated
Returns:
  Encapsulation result, false: Encapsulation failed, true: Encapsulation succeeded

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`